Channels

List authorized Facebook Page choices

GET
/api/projects/{projectId}/channels/{channelId}/publisher/facebook/pages

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

The Better Auth email/password session cookie used by the web application.

Path Parameters

projectId*string
Length1 <= length
channelId*string
Length1 <= length

Query Parameters

selection*string
Length32 <= length <= 512
after?string
Length1 <= length <= 2048

Response Body

Response for status 200

application/json
  1. response
pages*array<>
nextCursor*string|null
Example Request
curl -X GET 'https://postbot.example/api/projects/string/channels/string/publisher/facebook/pages?selection=stringstringstringstringstringst'
Example Response
{
  "pages": [
    {
      "id": "string",
      "name": "string",
      "hasPublishTask": true
    }
  ],
  "nextCursor": "string"
}

Was this page helpful?